import { __spreadValues } from '../chunk-5USKE2QT.js';
import { useState } from 'react';
import { omit } from '../utils.js';
import Toast from './toast.js';
import { jsx } from 'react/jsx-runtime';

function ToastContainer(props) {
  const { toasts, queue } = props;
  const [hoverState, setHoverState] = useState(false);
  const [heightMap, setHeightMap] = useState(/* @__PURE__ */ new Map());
  const onEnter = (key, height) => {
    setHeightMap((prev) => {
      prev.set(key, height);
      return new Map(prev);
    });
  };
  const onExit = (key) => {
    setHeightMap((prev) => {
      prev.delete(key);
      return new Map(prev);
    });
  };
  const offsetHeight = (_toast, index) => {
    let offset = 0;
    for (let i = toasts.length - 1; i > index; i--) {
      offset += (heightMap.get(toasts[i].key) || 0) + toasts[i].gap;
    }
    return offset;
  };
  return /* @__PURE__ */ jsx(
    "div",
    {
      onMouseEnter: () => {
        setHoverState(true);
      },
      onMouseLeave: () => {
        setHoverState(false);
      },
      className: "toast__container",
      children: toasts.map((toast, index) => /* @__PURE__ */ jsx(
        Toast,
        __spreadValues({
          onEnter: (size) => {
            onEnter(toast.key, size);
          },
          onExit: () => {
            onExit(toast.key);
          },
          onClosed: () => {
            var _a;
            (_a = toast.onClosed) == null ? void 0 : _a.call(toast);
            queue.remove(toast.key);
          },
          hover: hoverState,
          offsetHeight: offsetHeight(toast, index)
        }, omit(toast, ["key"])),
        toast.key
      ))
    }
  );
}
var toast_container_default = ToastContainer;

export { toast_container_default as default };
