import { ReactNode } from 'react';
import { PresetTransitionName } from 'react-transition-preset';

interface Options {
    duration?: number;
    onClosed?: () => void;
    transition?: PresetTransitionName | {
        name: PresetTransitionName;
        duration?: number;
        exitDuration?: number;
    };
    pauseOnHover?: boolean;
    className?: string;
    maxCount?: number;
    gap?: number;
}
interface ToastOptions extends Options {
    content: ReactNode;
    key?: string;
}
interface ToastUpdateOptions extends Options {
    content?: ReactNode;
}

declare class Toast {
    private defaultOptions;
    private toastQueue;
    constructor();
    open(options: ToastOptions): void;
    close(key: string): void;
    closeAll(): void;
    update(key: string, options: ToastUpdateOptions): void;
    setDefaultOptions(options: Options): void;
}
declare const toast: Toast;

export { type Options, type ToastOptions, type ToastUpdateOptions, toast };
