import { __publicField, __spreadValues } from './chunk-5USKE2QT.js';
import { ToastQueue } from './toast-queue.js';
import './index.css';

var Toast = class {
  constructor() {
    __publicField(this, "defaultOptions", {
      duration: 2e3,
      pauseOnHover: true,
      transition: "fade",
      maxCount: 3,
      gap: 16
    });
    __publicField(this, "toastQueue");
    this.toastQueue = new ToastQueue();
  }
  open(options) {
    this.toastQueue.add(__spreadValues(__spreadValues({}, this.defaultOptions), options));
  }
  close(key) {
    this.toastQueue.close(key);
  }
  closeAll() {
    this.toastQueue.closeAll();
  }
  update(key, options) {
    this.toastQueue.update(key, __spreadValues(__spreadValues({}, this.defaultOptions), options));
  }
  setDefaultOptions(options) {
    this.defaultOptions = __spreadValues(__spreadValues({}, this.defaultOptions), options);
  }
};
var toast = new Toast();

export { toast };
