import { ReactNode } from 'react';
import { PresetTransitionName } from 'react-transition-preset';

interface Options {
    duration?: number;
    onClosed?: () => void;
    transition?: PresetTransitionName | {
        name: PresetTransitionName;
        duration?: number;
        exitDuration?: number;
    };
    pauseOnHover?: boolean;
    className?: string;
    maxCount?: number;
    gap?: number;
}
interface ToastOptions extends Options {
    content: ReactNode;
    key?: string;
}
interface ToastUpdateOptions extends Options {
    content?: ReactNode;
}
interface InternalToastOptions extends Omit<ToastOptions, 'content'> {
    open?: boolean;
    height?: number;
    content?: ReactNode;
    updateFlag?: boolean;
}

export type { InternalToastOptions, Options, ToastOptions, ToastUpdateOptions };
